Bug 1260438 - [Patch] Source archive is not compressed
[Patch] Source archive is not compressed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 17:33 EDT by Michael Kuhn
Modified: 2016-06-28 09:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-28 09:26:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Compress source archive (889 bytes, application/mbox)
2015-09-06 17:33 EDT, Michael Kuhn
no flags Details

  None (edit)
Description Michael Kuhn 2015-09-06 17:33:16 EDT
Created attachment 1070781 [details]
Compress source archive

Description of problem:
While working with the mesa package, I noticed that the source archive created by the included Makefile is not compressed; the attached patch fixes this.

This patch reduces the size of the source archive from 60+ MB to 6 MB and the size of the source RPM from 20+ MB to ~6 MB.

The patch is for the f22 branch but should apply to all other branches.
Comment 1 Igor Gnatenko 2016-03-20 16:34:32 EDT
it's by purpose to have git tag in build.
Comment 2 Michael Kuhn 2016-03-20 17:43:19 EDT
Ah, OK, that makes sense; I am sorry for not noticing that. I could work on a patch to make the hash available without the need for a .git directory, though, if that would be okay for you (should be enough to simply create the git_sha1.h file during %setup).

Please still think about at least including the J flag when building the .tar.xz file, otherwise it is not compressed at all. This reduces the tarball's size from 70 MB to 20 MB (and the SRPM's size from 23 MB to 20 MB; not a lot, but still…).
Comment 3 Igor Gnatenko 2016-06-28 09:26:23 EDT
now we use upstream tarballs, so it's okay now.

Note You need to log in before you can comment on or make changes to this bug.